summaryrefslogtreecommitdiff
path: root/sys-kernel/linux-headers/linux-headers-7.1.ebuild
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-19 03:01:55 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-19 03:01:55 -0500
commitfd47b082ab0da4bc79447a8e2bfb7e77dd71874d (patch)
tree2dcbfaabaf05d6b389c83eaf327a9afbe44f16ba /sys-kernel/linux-headers/linux-headers-7.1.ebuild
parentbddf78c69012b9c1c06816f37d538d44d7877365 (diff)
downloadbaldeagleos-repo-fd47b082ab0da4bc79447a8e2bfb7e77dd71874d.tar.gz
baldeagleos-repo-fd47b082ab0da4bc79447a8e2bfb7e77dd71874d.tar.xz
baldeagleos-repo-fd47b082ab0da4bc79447a8e2bfb7e77dd71874d.zip
Adding metadata
Diffstat (limited to 'sys-kernel/linux-headers/linux-headers-7.1.ebuild')
-rw-r--r--sys-kernel/linux-headers/linux-headers-7.1.ebuild54
1 files changed, 54 insertions, 0 deletions
diff --git a/sys-kernel/linux-headers/linux-headers-7.1.ebuild b/sys-kernel/linux-headers/linux-headers-7.1.ebuild
new file mode 100644
index 000000000000..e2a270220fd7
--- /dev/null
+++ b/sys-kernel/linux-headers/linux-headers-7.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Notes at https://wiki.gentoo.org/wiki/Project:Toolchain/sys-kernel/linux-headers
+
+ETYPE="headers"
+H_SUPPORTEDARCH="alpha amd64 arc arm arm64 csky hexagon hppa loong m68k microblaze mips nios2 openrisc ppc ppc64 riscv s390 sh sparc x86 xtensa"
+inherit kernel-2
+detect_version
+
+PATCH_PV=${PV} # to ease testing new versions against not existing patches
+PATCH_VER="1"
+SRC_URI="
+ ${KERNEL_URI}
+ ${PATCH_VER:+https://distfiles.gentoo.org/pub/proj/toolchain/linux-headers/gentoo-headers-${PATCH_PV}-${PATCH_VER}.tar.xz}
+"
+S="${WORKDIR}/linux-${PV}"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ app-arch/xz-utils
+ net-misc/rsync
+ dev-lang/perl
+ net-misc/rsync
+"
+
+src_unpack() {
+ # Avoid kernel-2_src_unpack
+ default
+}
+
+src_prepare() {
+ local PATCHES=()
+ [[ -n ${PATCH_VER} ]] && PATCHES+=( "${WORKDIR}"/${PATCH_PV} )
+
+ # TODO: May need forward porting to newer versions
+ use elibc_musl && PATCHES+=(
+ "${FILESDIR}"/${PN}-5.15-remove-inclusion-sysinfo.h.patch
+ )
+
+ # Avoid kernel-2_src_prepare
+ default
+}
+
+src_install() {
+ kernel-2_src_install
+
+ find "${ED}" \( -name '.install' -o -name '*.cmd' \) -delete || die
+ # Delete empty directories
+ find "${ED}" -empty -type d -delete || die
+}